LibreOffice: XStringResourceWithStorage Interface Reference

LibreOffice LibreOffice 26.2 SDK API Reference

Loading...
Searching...
No Matches
XStringResourceWithStorage Interface Reference

Extends XStringResourcePersistence by methods to handle an associated com::sun::star::embed::XStorage instance. More...

`import "XStringResourceWithStorage.idl";`

Inheritance diagram for XStringResourceWithStorage:

## Public Member Functions
void | storeAsStorage ([in] ::com::sun::star::embed::XStorage Storage) raises ( com::sun::star::uno::Exception )
| Stores all string table data to a storage and associates this storage to this instance as if setStorage() was called with this storage.
void | setStorage ([in] ::com::sun::star::embed::XStorage Storage) raises ( ::com::sun::star::lang::IllegalArgumentException )
| Associates a storage to the StringResourceWithStorage instance which is used on subsequent calls of store().
Public Member Functions inherited from XStringResourcePersistence
void | store () raises ( com::sun::star::lang::NoSupportException, com::sun::star::uno::Exception )
| Stores all string table data respectively all data modified since the last call to store() to the location or storage associated with the StringResourceManager.
boolean | isModified ()
| provides the current modify state of the StringResourceManager instance.
void | setComment ([in] string Comment)
| Sets the comment stored first in each locale data file.
void | storeToStorage ([in] ::com::sun::star::embed::XStorage Storage, [in] string BaseName, [in] string Comment) raises ( com::sun::star::uno::Exception )
| Stores all string table data to the provided storage.
void | storeToURL ([in] string URL, [in] string BaseName, [in] string Comment, [in] com::sun::star::task::XInteractionHandler Handler) raises ( com::sun::star::uno::Exception )
| Stores all string table data to the location specified by the passed URL string.
sequence< byte > | exportBinary ()
| Returns a sequence of byte representing the complete string resource in a binary format.
void | importBinary ([in] sequence< byte > Data) raises ( com::sun::star::lang::IllegalArgumentException )
| Initializes the string resource with binary data.
Public Member Functions inherited from XStringResourceManager
boolean | isReadOnly ()
| Returns the resource's read only state.
void | setCurrentLocale ([in] com::sun::star::lang::Locale Locale, [in] boolean FindClosestMatch) raises ( com::sun::star::lang::IllegalArgumentException )
| Sets the locale to be used.
void | setDefaultLocale ([in] com::sun::star::lang::Locale Locale) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::NoSupportException )
| Sets the default locale to be used.
void | setString ([in] string ResourceID, [in] string Str) raises ( com::sun::star::lang::NoSupportException )
| Associates a String to a Resource ID for the current locale.
void | setStringForLocale ([in] string ResourceID, [in] string Str, [in] com::sun::star::lang::Locale locale) raises ( com::sun::star::lang::NoSupportException )
| Associates a String to a Resource ID for a specific locale.
void | removeId ([in] string ResourceID) raises ( com::sun::star::resource::MissingResourceException, com::sun::star::lang::NoSupportException )
| Removes a Resource ID including the corresponding string for the current locale.
void | removeIdForLocale ([in] string ResourceID, [in] com::sun::star::lang::Locale locale) raises ( com::sun::star::resource::MissingResourceException, com::sun::star::lang::NoSupportException )
| Removes a Resource ID including the corresponding string for s specific locale.
void | newLocale ([in] com::sun::star::lang::Locale locale) raises ( com::sun::star::container::ElementExistException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::NoSupportException )
| Creates a new locale.
void | removeLocale ([in] com::sun::star::lang::Locale locale) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::NoSupportException )
| Removes a locale completely including the corresponding strings for each locale.
long | getUniqueNumericId () raises ( com::sun::star::lang::NoSupportException )
| Provides a numeric id that is unique within all Resource IDs used in the string table.
Public Member Functions inherited from XStringResourceResolver
string | resolveString ([in] string ResourceID) raises ( com::sun::star::resource::MissingResourceException )
| Resolves the passed ResourceID for the current locale.
string | resolveStringForLocale ([in] string ResourceID, [in] com::sun::star::lang::Locale locale) raises ( com::sun::star::resource::MissingResourceException )
| Resolves the passed ResourceID for a specific locale.
boolean | hasEntryForId ([in] string ResourceID)
| Checks if the resource contains an entry for the given ResourceID and current locale.
boolean | hasEntryForIdAndLocale ([in] string ResourceID, [in] com::sun::star::lang::Locale locale)
| Checks if the resource contains an entry for the given ResourceID and locale.
sequence< string > | getResourceIDs ()
| Returns a sequence of all valid Resource IDs for the current locale.
sequence< string > | getResourceIDsForLocale ([in] com::sun::star::lang::Locale locale)
| Returns a sequence of all valid Resource IDs for a specific locale.
com::sun::star::lang::Locale | getCurrentLocale ()
| Returns the current locale specified in the accessed resource.
com::sun::star::lang::Locale | getDefaultLocale ()
| Returns the default locale of the accessed resource.
sequence< com::sun::star::lang::Locale > | getLocales ()
| Returns a sequence of all supported locales.
Public Member Functions inherited from XModifyBroadcaster
void | addModifyListener ([in] com::sun::star::util::XModifyListener aListener)
| adds the specified listener to receive events "modified."
void | removeModifyListener ([in] com::sun::star::util::XModifyListener aListener)
| removes the specified listener.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

Extends XStringResourcePersistence by methods to handle an associated com::sun::star::embed::XStorage instance.

See also
  XStringResourcePersistence.

## Member Function Documentation

## ◆ setStorage()

void setStorage | ( | [in] ::com::sun::star::embed::XStorage | Storage | ) |
raises | ( | ::com::sun::star::lang::IllegalArgumentException ) |  |  |

Associates a storage to the StringResourceWithStorage instance which is used on subsequent calls of store().

Parameters

  Storage | the storage to be associated to the StringResourceManager

This call has to be used carefully as it removes the storage previously connected to the StringResourceWithStorage. It may force the implementation to reload data from the previous storage before releasing it. The StringResourceManager will be modified after calling this method as the data isn't stored to the new storage yet. storeAsStorage() should be preferred as it directly stores the data to the new storage and afterwards this storage is in sync with the resource data.

Exceptions

  com::sun::star::lang::IllegalArgumentException | if a null interface is passed as Storage

## ◆ storeAsStorage()

void storeAsStorage | ( | [in] ::com::sun::star::embed::XStorage | Storage | ) |
raises | ( | com::sun::star::uno::Exception ) |  |  |

Stores all string table data to a storage and associates this storage to this instance as if setStorage() was called with this storage.

The modified state will be unmodified after the call.

This method can throw all exceptions thrown by the methods of com::sun::star::embed::XStorage

The documentation for this interface was generated from the following file:

- com/sun/star/resource/XStringResourceWithStorage.idl